Bug 426793 - CMCI is left disabled on hot-added processors
CMCI is left disabled on hot-added processors
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
ia64 Linux
urgent Severity high
: rc
: ---
Assigned To: Doug Chapman
Martin Jenner
GSSApproved ResolveBy=02/28/2008
: ZStream
Depends On:
Blocks: RHEL5u2_relnotes 430632
  Show dependency treegraph
Reported: 2007-12-26 08:17 EST by Fabio Olive Leite
Modified: 2010-10-22 17:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 11:05:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Upstream patch ported to recent RHEL-5 kernel (1.84 KB, patch)
2007-12-26 08:17 EST, Fabio Olive Leite
no flags Details | Diff
Log of test session by partner (11.62 KB, text/plain)
2007-12-26 08:21 EST, Fabio Olive Leite
no flags Details
positive result log from Fujitsu on C#10 (19.62 KB, text/plain)
2008-01-21 23:30 EST, Masahiro Matsuya
no flags Details

  None (edit)
Description Fabio Olive Leite 2007-12-26 08:17:43 EST
Version-Release number of selected component:
Drivers or hardware or architecture dependency:
  ia64 only
Description of Problem:
  The CMCI (Corrected Machine Check Interrupt) is one of
  mechanism consisting Machine Check Architecture ia64 have,
  and that is an interrupt which the processor issues when
  the processor detects trivial errors in itself (ex. cache
  error) and corrects them successfully. Thus CMCI is
  necessary feature for hardware error prediction.
  On boot time, CMCIs on processors are masked(disabled) all,
  and later they are unmasked(enabled) all at once.
  The issue is that the CMCIs on hot-added processors are
  also masked, however no one unmask them.
How reproducible:
Step to Reproduce:
  do cpu hot-add (including online after offline)
Actual Results:
  CMCI is disabled on onlined processor.
Expected Results:
  CMCI is enaled on onlined processor.
Summary of actions taken to resolve issue:
  Patch is available, and is already posted to upstream.
Comment 1 Fabio Olive Leite 2007-12-26 08:17:44 EST
Created attachment 290406 [details]
Upstream patch ported to recent RHEL-5 kernel
Comment 2 Fabio Olive Leite 2007-12-26 08:21:42 EST
Created attachment 290407 [details]
Log of test session by partner
Comment 3 Fabio Olive Leite 2007-12-26 08:23:21 EST
Flagging for 5.3. Or do we want to fight for an exception for 5.2?
Comment 6 Fabio Olive Leite 2008-01-21 17:57:22 EST
Posted to RHKL, still applies and builds cleanly to 2.6.18-71.el5. Current build
information is here: http://brewweb.devel.redhat.com/brew/taskinfo?taskID=1124031
Comment 9 RHEL Product and Program Management 2008-01-21 21:17:07 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 10 Issue Tracker 2008-01-21 23:29:12 EST
From Fujitsu about testing with kernel-2.6.18-71.el5.it142698.2.ia64.rpm on

I tested the uploaded test kernel and confirmed that the
included fix works fine.

- cmc-mask-log-080122.txt
 result of today's test.


This event sent from IssueTracker by mmatsuya 
 issue 142698
Comment 11 Masahiro Matsuya 2008-01-21 23:30:46 EST
Created attachment 292457 [details]
positive result log from Fujitsu on C#10
Comment 14 Don Zickus 2008-01-24 11:09:01 EST
in 2.6.18-74.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 18 Don Domingo 2008-02-07 22:55:04 EST
added to RHEL5.2 release notes under "Kernel-Related Updates":

(ia64) Added support for Corrected Machine Check Interrupt (CMCI). This feature
issues an interrupt when the processor detects and successfully rectifies
trivial errors (such as a cache error).

please advise if any further revisions are required. thanks!
Comment 19 Issue Tracker 2008-02-08 01:06:39 EST
This note is wrong... since CMCI itself is already
supported from RHEL4 (and also from RHEL5.0).
What not supported was CMCI on hot-added CPU.


This event sent from IssueTracker by mmatsuya 
 issue 142698
Comment 20 Don Domingo 2008-02-10 17:44:58 EST
release note corrected. thanks!
Comment 23 Don Domingo 2008-04-01 22:10:42 EDT
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Comment 25 errata-xmlrpc 2008-05-21 11:05:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.